Class | XMLRPC::XMLWriter::XMLParser
In: | xmlrpc/create.rb
Parent: | Abstract

### Methods

document document_to_str element new pi text

### Public Class methods

new()

[Source]

    # File xmlrpc/create.rb, line 63
          def initialize
            require "xmltreebuilder"
          end

### Public Instance methods

document(*params)

[Source]

    # File xmlrpc/create.rb, line 71
          def document(*params)
            XML::SimpleTree::Document.new(*params)
          end

document_to_str(doc)

[Source]

    # File xmlrpc/create.rb, line 67
          def document_to_str(doc)
            doc.to_s
          end

element(name, attrs, *children)

[Source]

    # File xmlrpc/create.rb, line 79
          def element(name, attrs, *children)
            XML::SimpleTree::Element.new(name, attrs, *children)
          end

pi(name, *params)

[Source]

    # File xmlrpc/create.rb, line 75
          def pi(name, *params)
            XML::SimpleTree::ProcessingInstruction.new(name, *params)
          end

text(txt)

[Source]

    # File xmlrpc/create.rb, line 83
          def text(txt)
            XML::SimpleTree::Text.new(txt)
          end

[Validate]